LOWDOWN_FILE_DIFF(3)

NAME
lowdown_file_diff - parse and diff Markdown files into formatted output

LIBRARY
liblowdown

SYNOPSIS
#include <sys/queue.h>
#include <stdio.h>
#include <lowdown.h>
int
lowdown_file_diff(const struct lowdown_opts *opts, FILE *fnew, FILE *fold, char **ret, size_t *retsz);

DESCRIPTION
Parses lowdown(5) file streams fnew and fold and produces an edit script in ret of size retsz according to configurations opts. The output format is specified by opts->type.

On success, the caller is responsible for freeing ret.

RETURN VALUES
Returns zero on failure, non-zero on success. Failure occurs when the file read failed or on memory exhaustion. On failure, the contents of ret and retsz are undefined.

SEE ALSO
lowdown(3)